summary.predCVSTmodel {SpatioTemporal} | R Documentation

## Computes summary details for `predCVSTmodel` object

### Description

`summary` method for class `predCVSTmodel`.

### Usage

    ## S3 method for class 'predCVSTmodel'
    summary(object, pred.naive = NULL, by.date = FALSE,
      p = 0.95, transform = function(x) {     return(x) }, LTA = FALSE, ...)

### Arguments

`object` | `predCVSTmodel` object to compute summary information for; the output from `predictCV.STmodel`.
`pred.naive` | Result of naive prediction; used to compute modified R2 values. The output from `predictNaive`.
`by.date` | Compute individual cross-validation statistics for each time-point. May lead to very many statistics.
`p` | Approximate coverage of the computed confidence bands; the confidence bands are used when computing coverage of the cross-validated predictions.
`transform` | Transform observations and predictions (without bias correction) before computing statistics; see also `computeLTA`. Redundant if option `transform` was used in `predictCV.STmodel` (as pass through argument to `predict.STmodel`)
`LTA` | Compute cross-validation statistics for the long term averages at each site, uses `computeLTA` to compute the averages. `transform` is passed to `computeLTA`. This is redundant if option `LTA=TRUE` was uses in `predictCV.STmodel`.
`...` | Ignored additional arguments.

### Details

Computes summary statistics for cross validation. Statistics that are computed include RMSE, R2, and coverage of CI:s; both for all observations and (possibly) stratified by date.

### Value

A `summary.predCVSTmodel` object.

### Author(s)

Johan Lindstrom

### See Also

Other predCVSTmodel methods: `estimateCV.STmodel`, `plot.predCVSTmodel`, `print.predCVSTmodel`, `print.summary.predCVSTmodel`, `qqnorm.predCVSTmodel`, `scatterPlot.predCVSTmodel`

### Examples

    ##load some data
    data(pred.cv.mesa)

    ##basic summary statistics
    summary(pred.cv.mesa)

[Package SpatioTemporal version 1.1.9.1 Index]